% this is an m-file for functional PCA;
% the form of the function is [ss,vvn]=fpca(X,p);
% X is the measured matrix;
% ss is singular value of XB^0.5
% p is the penalty parameter;
function [ss,vvn]=fpca(X,p)
[m,n]=size(X);
sm=smth(n);

B=eye(n,n)+p*sm'*sm;
[ub,sb,vb]=svd(B,0);
sbb=inv(sb);
IVB=ub*sbb*vb';
Z=X*(ub*sbb.^(0.5)*vb');
[u,ss,v]=svd(Z,0);
vv=IVB*X'*u;
if m<n 
   n=m;
end

d=diag(ones(1,n)./sqrt(sum(vv.*vv)));
vvn=vv*d;



