function [rrr,cccnorm,sssnorm]=simu
% This program is to simulate a three-component system
% rrr is absorbance matrix
% cccnorm is concentration matrix
% sssnorm is spectra matrix
% [rrr,ccc,sss]=simu

samnum=120;
wavenum=100;
num=3;
s1=7.9*gs(wavenum,40,15)+3.4*gs(wavenum,70,8);
s2=4.8*gs(wavenum,30,5)+8*gs(wavenum,60,8);
s3=2.7*gs(wavenum,30,8)+5.6*gs(wavenum,56,12);
sss=[s1' s2' s3' ];
c1=6.5*gs(samnum,35,7);
c2=3.5* gs(samnum,50,4);
c3=2*gs(samnum,68,5);
ccc=[c1' c2' c3' ];
rrr=ccc*sss';
rrr=rrr+randn(size(rrr))*max(max(rrr))*0.002;
d=diag(ones(1,num)./sqrt(sum(sss.*sss)));
sssnorm=sss*d;
cccnorm=ccc*inv(d);

